Subject: Strict ordering by date

From: "H. Peter Anvin" <[email-masked]>
Date: Sat, 30 Dec 2006 17:03:31 -0800

Hi all,

I have added a --pretty=rpm option to git in order to automatically 
generate the changelog for an RPM specfile.  So far, so good. 
Unfortunately, rpmbuild is very picky and will simply refuse to run, at 
all, if any of the entries are out of reverse chronological order.  When 
dealing with merges or cherrypicking -- or, for that matter, a commit 
done with a broken time setting -- this doesn't work with either 
--date-order or --topo-order.

(And yes, this is an rpmbuild misfeature.)

I've tried to add a --strict-date-order option, but it's not clear at 
what point -- if any -- we actually have the full list of entries to 
display.  It doesn't seem to happen anywhere inside revision.c.

Any pointers appreciated.

	-hpa